%YAML 1.1
---
gfVersion: v1.0
class: app

name: samtools-filter-flags-gf
description: Filter a SAM/BAM file based on SAM flag values
repo_uri: https://gitlab.com/geneflow/apps/samtools-filter-flags-gf.git
version: '1.10-01'
inputs:
  input:
    label: SAM/BAM File
    description: SAM or BAM file
    type: File
parameters:
  include_reads_all:
    label: Include Reads All
    description: Include reads with all flag values present
    type: int
  include_reads_none:
    label: Include Reads none
    description: Include reads with none of the flag values present
    type: int
  exclude_reads_all:
    label: Exclude Reads All
    description: Exclude reads with all flag values present
    type: int
  output:
    label: Output BAM File
    description: Output BAM file
    type: File
definition:
{% if agave %}
  agave:
    agave_app_id: {{ agave.appsPrefix }}-samtools-filter-flags-gf-1.10-01{{ revision }}
{% endif %}
  local:
    script: samtools-filter-flags-gf.sh
...